Get company turnover.
Fetches the company turnover according to the provided query string filters. Must provide exactly one currency filter. Multiple values can be provided for all filters except currency, from and to, including all results matching any of these values.
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
tokenized?booleanFilter result set by whether the transaction was performed using a recurring execution token
from?integerFilter result set to only include values older or equal to the provided Unix timestamp
to?integerFilter result set to only include values younger than the provided Unix timestamp
brand?stringFilter result set to only include the specified brand UUID(s)
uuidterminal_uid?stringFilter result set to only include the specified terminal UUID(s)
uuidcurrency?stringFilter result set to only include specified currency(ies)
payment_method?stringFilter result set to only include specified payment methods(s). See PaymentMethod fro more information.
"american_express""capitec_pay""capitec_pay_recurring""debicheck""diners_club""eft""flutterwave_bank_transfer""flutterwave_ussd_charge""flutterwave_voucher_payment""hub2""maestro""mastercard""moniepoint""moniepoint_offline""moniepoint_voucher""mono""mtnmomo""onegate_eft_redirect""onevoucher""ozow""pay_at""paystack_payouts""paystack_ussd""realpay_eft""realpay_endo""stitch""unknown""visa""zapper"product?stringFilter result set to only include specified products(s). See TransactionProduct fro more information.
"bank_payment""chargeback""chargeback_reversal""custom_payment""invoice""payout""payout_balance_transfer""purchase""refund""subscription"flow?stringFilter result set to only include specified transaction creation or execution flow(s). See TransactionFlow fro more information.
"api""direct_post""edd""fluentcart""fluentforms""formidableforms""givewp""gohighlevel""gravityforms""hostbill""import""ledger""link""payform""paymattic""perfexcrm""server_to_server""web_office""whmcs""woocommerce_subscriptions""wpcharitable""wpfunnels"country?stringFilter result set to only include specified client country(ies) in ISO 3166-1 alpha-2 format
ISO 3166-1 alpha-2Company turnover successfully retrieved
application/json- response
Incoming and outgoing Company turnover statistics
incoming?Company turnover statistics
outgoing?Company turnover statistics
curl -X GET 'https://gate.reviopay.com/api/v1/account/json/turnover/'{ "incoming": { "turnover": 93408, "fee_sell": 1750, "count": { "all": 175 } }, "outgoing": { "turnover": 93408, "fee_sell": 1750, "count": { "all": 175 } }}